CALIBRE-DEBUG(1)

NAME
calibre-debug - calibre-debug

    calibre-debug [opsi]

Various command line interfaces useful for debugging calibre. With no options, this command starts an embedded Python interpreter. You can also run the main calibre GUI, the calibre E-book viewer and the calibre editor in debug mode.

It also contains interfaces to various bits of calibre that do not have dedicated command line tools, such as font subsetting, the E-book diff tool and so on.

You can also use calibre-debug to run standalone scripts. To do that use it like this: calibre-debug -e myscript.py -- --option1 --option2 file1 file2 ...

Everything after the -- is passed to the script. You can also use calibre-debug as a shebang in scripts, like this: #!/usr/bin/env -S calibre-debug -e -- --

Whenever you pass arguments to calibre-debug that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

[OPSI]

--add-simple-plugin
    Tambahkan plugin sederhana ( yaitu sebuah plugin yang hanya terdiri dari file py ) , dengan menentukan path ke file py berisi kode Plugin .

--command, -c
    Jalankan kode Python.

--debug-device-driver, -d
    Debug device detection

--default-programs
    ( Tidak ) terdaftar calibre dari Default Program Windows. --default-programs = (register|unregister)

--diff
    Menjalankan diff tool calibre. Sebagai contoh: calibre-debug --diff file1 file2

--edit-book
    Launch the calibre "Edit book" tool in debug mode.

--exec-file, -e
    Menjalankan kode Python dalam berkas.

--explode-book, -x
    Explode the book into the specified folder. Usage: -x file.epub output_dir Exports the book as a collection of HTML files and metadata, which you can edit using standard HTML editing tools. Works with EPUB, AZW3, HTMLZ and DOCX files.

--export-all-calibre-data
    Export all calibre data (books/settings/plugins). Normally, you will be asked for the export folder and the libraries to export. You can also specify them as command line arguments to skip the questions. Use absolute paths for the export folder and libraries. The special keyword "all" can be used to export all libraries. Examples: calibre-debug --export-all-calibre-data # for interactive use calibre-debug --export-all-calibre-data /path/to/empty/export/folder /path/to/library/folder1 /path/to/library2 calibre-debug --export-all-calibre-data /export/folder all # export all known libraries

--fix-multiprocessing
    For internal use

--gui, -g
    Jalankan GUI dengan debugging diaktifkan . Debug output dicetak ke stdout dan stderr .

--gui-debug
    Jalankan GUI dengan konsol debug, log ke jalan yang ditentukan . Untuk penggunaan internal saja , gunakan opsi -g untuk menjalankan GUI dalam mode debug

--help, -h
    tampilkan pesan bantuan ini dan keluar

--implode-book, -i
    Implode a previously exploded book. Usage: -i output_dir file.epub Imports the book from the files in output_dir which must have been created by a previous call to --explode-book. Be sure to specify the same file type as was used when exploding.

--import-calibre-data
    Mengimpor data calibre yang sebelumnya diekspor

--inspect-mobi, -m
    Periksa berkas MOBI di urutan yang telah ditentukan

--paths
    Output jalur diperlukan untuk setup lingkungan calibre

--run-plugin, -r
    Run a plugin that provides a command line interface. For example: calibre-debug -r "Plugin name" -- file1 --option1 Everything after the -- will be passed to the plugin as arguments.

--run-test, -t
    Run the named test(s). Use the special value "all" to run all tests. If the test name starts with a period it is assumed to be a module name. If the test name starts with @ it is assumed to be a category name.

--run-without-debug
    Don't run with the DEBUG flag set

--shutdown-running-calibre, -s
    Menyebabkan matinya instansi calibre, jika ada. Perhatikan bahwa jika ada proses yang berjalan, mereka akan dimatikan paksa, jadi gunakan dengan bijak.

--subset-font, -f
    Subset font yang ditentukan . Gunakan -- setelah opsi ini untuk lulus pilihan untuk program huruf subsetting .

--test-build
    Menguji modul biner saat dibangun

--version
    tampilkan versi program dan keluar

--viewer, -w
    Jalankan penampil E-book dalam mode awakutu

AUTHOR
Kovid Goyal

COPYRIGHT
Kovid Goyal